Modify

#1172 closed defect (UNPOSSIBLE)

Gtalk messages not relayed from other devices

Reported by: anonymous Owned by: wilmer
Priority: normal Milestone:
Component: Jabber Version: 3.2.1
Keywords: Cc:
IRC client+version: irssi 0.8.15 Operating System: Linux
OS version/distro:

Description

Having a discussion ongoing in both Android smartphone and Bitlbee. When I type a messages in Bitlbee, I can see it in the smartphone. But instead, when I type a message in an Android smartphone, the message never appears in Bitlbee. Having a second Android device shows that the message I write is immediately received by the other Android device but never by Bitlbee.

The messages sent by other devices should be visible in Bitlbee as well. Instead, now I see only messages the other person has sent to me.

Attachments (0)

Change History (8)

comment:1 Changed at 2014-07-23T21:31:44Z by wilmer

I'd love this as much as you would, but sadly the GTalk XMPP interface offers no way to receive these messages.

There's an XMPP Carbon standard for this (there is in fact even a BitlBee patch to add this) which works with some other XMPP services, but not GTalk.

comment:2 Changed at 2014-07-24T07:56:58Z by dx

This is probably not what's happening, but i'd love to be wrong: we discard messages from our own JID, because some servers echo everything we send to them.

This could be easily verified by opening the xmlconsole

Alternatively - I'm still using the android 2.3 google talk client (not hangouts), which i'm pretty sure uses xmpp, and shows stuff from other clients (and chat history and stuff). Might be a good excuse to use the subprotocol stuff i'm working on.

comment:3 Changed at 2014-07-24T08:03:36Z by wilmer

We indeed would be ignoring those messages anyway, but I've done plenty of poking at xmlconsole to confirm that we're not even getting them from GTalk (or Facebook, for that matter).

XMPP servers don't normally do this anyway, the only thing they do is echo your messages to multi-user chatrooms IIRC.

comment:4 Changed at 2014-07-24T08:57:58Z by dx

Oh, yep, MUCs were what I was thinking about. Welp.

So, do we close this ticket as UNPOSSIBLE? Or lower priority to wishlist in case someone gets very bored and implements the relevant gtalk xmpp extensions as a way to tell death that we don't care? (XMPP death, that is)

comment:5 Changed at 2015-05-05T14:53:13Z by dx

Resolution: UNPOSSIBLE
Status: newclosed

Okay, pretty sure this isn't possible at all. What I said earlier about the android 2.3 client doesn't apply - i sniffed it once and it turns out it's not even XMPP, it's some weird binary thing from the google cloud messaging service.

(Also, I get the feeling this item in the list of close reasons isn't very serious, but i'm going to use it anyway)

comment:6 Changed at 2015-05-05T19:30:12Z by wilmer

unpossible is impossible but more convincing. It's totes serious. :>

But yeah, pretty sure that's not XMPP. If we get Hangouts, we'll get these carbons, but no need to keep this bug open for that.

comment:7 Changed at 2016-05-02T12:27:27Z by Maarten Billemont <lhunath@…>

If we get Hangouts, we'll get these carbons, but no need to keep this bug open for that.

What did you mean by this?

comment:8 Changed at 2016-05-02T12:41:08Z by dx

Use this thing https://bitbucket.org/EionRobb/purple-hangouts (which didn't exist when that comment was posted)

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.